Domain Shared Contacts API'ye genel bakış

Koleksiyonlar ile düzeninizi koruyun İçeriği tercihlerinize göre kaydedin ve kategorilere ayırın.

Domain Shared Contacts API, uygulamalarınızın bir Google Workspace alanındaki tüm kullanıcılarla paylaşılan harici kişileri almasını ve güncellemesini sağlar. Paylaşılan kişiler, Google Workspace alanının tüm kullanıcıları tarafından görülebilir ve tüm Google hizmetlerinin kişi listesine erişimi vardır.

Uygulamanız, paylaşılan kişiler oluşturmak, mevcut paylaşılan kişileri düzenlemek veya silmek ve belirli bir ölçüte uyan paylaşılan kişileri sorgulamak için Domain Shared Contacts API'yi kullanabilir.

Domain Shared Contacts API yalnızca Google Workspace hesaplarında kullanılabilir. API'yi kullanmak için Yönetici Konsolu'nda Domain Shared Contacts API'yi etkinleştirin. Paylaşılan kişi değişikliklerinin e-posta adresi otomatik tamamlama özelliğine ve kişi yöneticisine yansıtılması 24 saati bulabilir.

Bu dokümanda, Domain Shared Contacts API'nin olanaklarıyla ilgili genel bilgi sağlamanın yanı sıra kişilerin XML ve HTTP kullanarak nasıl yönetileceğiyle ilgili örnekler de verilmiştir. Bu dokümanı okuduktan sonra istemci kitaplıklarımızı kullanarak API ile etkileşim hakkında daha fazla bilgi edinebilirsiniz.

Kitle

Bu doküman, HTTP ve XML kullanarak Google'ın kişi listelerini değiştirebilen istemci uygulamaları yazmak isteyen geliştiriciler için hazırlanmıştır. Bu dokümanda, Google Veri API'leri protokolünün temellerini anladığınız varsayılmaktadır.

UNIX işletim sistemi kullanıyorsanız ve herhangi bir kod yazmadan bu dokümandaki örnekleri denemek istiyorsanız UNIX komut satırı yardımcı programlarını curl veya wget'i kullanın. cURL'yi Google Veri hizmetleriyle nasıl kullanacağınızı öğrenin.

İlkeler

Domain Shared Contacts API'nin bu sürümü Google Veri API'leri ilkelerine uygundur. Google Veri API'leri, Atom Yayınlama Protokolü'nün yanı sıra hem Atom 1.0 hem de RSS 2.0 sendikasyon biçimlerini temel alır.

Bir sürüm belirtin

Domain Shared Contacts API'yi kullanarak gönderdiğiniz her istekte API'nin 3.0 sürümü belirtilmelidir:

GData-Version: 3.0

HTTP üst bilgilerini ayarlayamıyorsanız v=3.0 işlevini URL'de sorgu parametresi olarak belirtebilirsiniz. Ancak HTTP üst bilgi yönteminin kullanılması önerilir.